Skip to content

Get Export Lead File

GET /bulk/v1/leads/export/{exportId}/file.json

Permissions Read-Only Lead<br><br>The file format is specified by calling the Create Export Lead Job endpoint. The following is an example of the default file format ("CSV").<br><br><code>firstNamelastNameemail</code><br><code>MarvinGayemarvin.gaye@motown.com</code>

Build a request and mock the response

Method: GET
Path: /bulk/v1/leads/export/{exportId}/file.json
Tag: Bulk Export Leads
Operation ID: getExportLeadsFileUsingGET

Returns the file content of an export job. The export job must be in "Completed" state. Use Get Export Lead Job Status endpoint to retrieve status of export job. Required Permissions: Read-Only Lead

The file format is specified by calling the Create Export Lead Job endpoint. The following is an example of the default file format ("CSV").

firstName,lastName,email
Marvin,Gaye,marvin.gaye@motown.com

Formats

  • Request: application/json
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
exportId string Yes Id of export batch job.

Header parameters

Name Type Required Description Constraints
Range string No To support partial retrieval of extracted data, the HTTP header "Range" of type "bytes" may be specified. See RFC 2616 "Range Retrieval Requests" for more information. If the header is not set, the entire contents will be returned.

Example request

GET {{base_url}}/bulk/v1/leads/export/{{exportId}}/file.json
Range: {{Range}}
Accept: application/json

Responses

200 — OK

Schema: model: ObservableOfInputStreamRangeContent

Generated example

{}

Referenced models

Source

Generated from swagger-mapi.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.